# IPs

The IP API endpoint allows you to access information regarding the IPs allocated to your Mailgun account that are used for outbound sending.

 - [GET /v3/ips/domain/{name}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/get-v3-ips-domain--name-.md): This endpoint retrieves the DIPP spillover settings for a specific domain.
 - [PATCH /v3/ips/domain/{name}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/patch-v3-ips-domain--name-.md): This endpoint allows you to set or update the DIPP spillover settings for a specific domain. You can specify the ID of the IP pool that spillover IPs are assigned to. The IP pool must contain at least
 - [DELETE /v3/domains/{name}/ips/{ip}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/delete-v3-domains--name--ips--ip-.md): The behavior of the endpoint depends on the value of the `ip` parameter. It can be one of the following: * a valid IP address: this IP address will be removed from the domain pool. * string `all`: the
 - [DELETE /v3/domains/{name}/pool/{ip}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/delete-v3-domains--name--pool--ip-.md): The behavior of the endpoint depends on the value of the `ip` parameter. It can be one of the following: * a valid IP address: this IP address will be removed from the domain pool. * string `all`: the
 - [GET /v3/ips/account/settings](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/get-v3-ips-account-settings.md): This endpoint retrieves the DIPP spillover settings for a specific account.
 - [PATCH /v3/ips/account/settings](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/patch-v3-ips-account-settings.md): This endpoint allows you to set or update the DIPP spillover settings for an account . You can specify the ID of the IP pool that spillover IPs are assigned to. The IP pool must contain at least one f
 - [GET /v3/ips](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/get-v3-ips.md): `assignable_to_pool` in response lists which IPs can be assigned to DIPPs; this field is present only if the account has 'DIPPs' feature enabled. `total_count` contains the number of items returned in
 - [GET /v3/ips/{ip}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/get-v3-ips--ip-.md)
 - [GET /v3/ips/{ip}/domains](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/get-v3-ips--ip--domains.md): The IP must belong to the account. Matching domains are ordered by increasing id, then the `limit` and `skip` parameters are applied. If the `search` parameter is present, it is used to limit the resu
 - [POST /v3/ips/{ip}/domains](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/post-v3-ips--ip--domains.md): The IP must belong to the account.
 - [DELETE /v3/ips/{ip}/domains](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/delete-v3-ips--ip--domains.md): The IP must belong to the account. If the `alternative` parameter is present, it is used to replace the removed ip on all domains.
 - [POST /v3/ips/{addr}/ip_band](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/post-v3-ips--addr--ip-band.md): The `Dedicated IP Bands` feature must be enabled for the account. The IP must be a dedicated one belonging to the account.
 - [GET /v3/ips/request/new](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/get-v3-ips-request-new.md): This endpoint remains active for backwards compatibility. Do not use it in new code. Field `shared` in the response is deprecated and should not be used.
 - [POST /v3/ips/request/new](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/post-v3-ips-request-new.md): A new IP can be assigned only if billing limits allow that.
 - [GET /v3/ips/details/all](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/get-v3-ips-details-all.md): List IPs belonging to the account and subaccounts. For IPs linked to subaccounts, there will be an additional record returned per subaccount The detailed IP view feature must be enabled for the accoun
 - [PATCH /v3/ips/subaccounts](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ips/patch-v3-ips-subaccounts.md): #### Description Links and/or unlinks dedicated IPs to/from one or more subaccounts in a single operation. IPs linked to subaccounts can be linked to subaccount domains and placed in subaccount IP poo
